Skip to main content
Retrieve a Transaction
SEP-6 SEP-24 SEP-31

Path Parameters

id
string
required

Response

Transaction found.

id
string
required
sep
enum<string>
required
Available options:
6
kind
enum<string>
required
Available options:
deposit,
deposit-exchange,
withdrawal,
withdrawal-exchange
status
enum<string>
required

Possible status value for SEP-6 transactions

Available options:
incomplete,
completed,
refunded,
expired,
error,
pending_stellar,
pending_external,
pending_customer_info_update,
pending_user_transfer_start,
pending_user_transfer_complete,
pending_anchor,
pending_trust,
pending_user,
no_market,
too_small,
too_large
started_at
string<date-time>
required
type
string

The method the user used to deposit or withdraw offchain funds.

amount_expected
object
amount_in
object
amount_out
object
fee_details
object
quote_id
string
updated_at
string<date-time>
completed_at
string<date-time>
transfer_received_at
string<date-time>
user_action_required_by
string<date-time>
message
string
refunds
object
stellar_transactions
object[]
source_account
string
destination_account
string
external_transaction_id
string
memo
string
memo_type
enum<string>

The memo type of the transaction in the Stellar network. Should be present if memo is not null.

Available options:
text id hash
refund_memo
string

If provided, this memo should be used for refund transactions.

refund_memo_type
enum<string>

The memo type of the transaction in the Stellar network. Should be present if memo is not null.

Available options:
text id hash
client_domain
string
client_name
string
customers
object

The user that initiated the transaction is both the sender and receiver.

creator
object

StellarId's are objects that identify end-users and SEP-31 Sending Anchors, but not SEP-31 Receiving Anchors.

For a SEP-12 customer, the id field should be sufficient to fully identify the customer in the business' Backend.

For a SEP-31 Sending Anchor, the account and memo fields should be used.

For a SEP-6 or SEP-24 Anchor, the account and memo fields should be used.